Главная Новости Прекращение поддержки ветки Ruby 1.9.3

Прекращение поддержки ветки Ruby 1.9.3

Пользователям рекомендуется выполнить переход на Ruby 2.0.0 или более новый выпуск.

Завершён жизненный цикл ветки Ruby 1.9.3, о чём нас предупредили разработчики языка программирования Ruby. С 24 февраля 2015 года исправления ошибок и уязвимостей больше не будут бэкпортироваться в ветку Ruby 1.9.3.

Рекомендуем как можно скорее выполнить переход на Ruby 2.0.0 или более новый выпуск. Так как при подготовке ветки 2.0 разработчики более внимательно отнеслись к обеспечению совместимости с существующими приложениями, миграция с ветки 1.9 на 2.0 должна пройти заметно легче, чем переход с 1.8 на 1.9.

Если самостоятельный переход на данный выпуск по какой-либо причине не представляется возможным, то мы можем выполнить это за вас в рамках услуги «Дополнительные работы по сайту/серверу».

Другие документы на эту тему

Ruby

Высокоуровневый язык программирования.

Языки программирования

Полезные материалы по языкам программирования